import request from '@/utils/request'


// 营销任务列表上传文件
export function uploadFile(data) {
  return request({
    url: `/market/createAsync`,
    method: 'post',
    headers: {
      // 'Content-Type': 'multipart/form-data'
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    data: data
  })
}

// 营销任务列表编辑上传文件
export function editFile(data) {
  return request({
    url: `/market/edit`,
    method: 'post',
    headers: {
      // 'Content-Type': 'multipart/form-data'
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    data: data
  })
}

// 营销任务列表下载模板
export function downloadFile() {
  return request({
    url: '/market/download',
    method: 'post',
    responseType: 'blob'
  })
}

// 管理员-查询营销任务列表
export function marketTaskList(query) {
  return request({
    url: `/market/task`,
    method: 'get',
    params: query
  })
}

// 轮询创建状态
export function querystatus(id) {
  return request({
    url: `/market/createStatus/${id}`,
    method: 'get'
  })
}

// 管理员-查询营销任务列表详情
export function marketTaskListDetail(query) {
  return request({
    url: `/market/allList`,
    method: 'get',
    params: query
  })
}

// 首页-我的营销任务
export function marketTaskListMy(query) {
  return request({
    url: `/market/list`,
    method: 'get',
    params: query
  })
}

// 营销任务已读
export function marketread(data) {
  return request({
    url: '/market/read',
    method: 'post',
    data
  })
}
